#!/bin/bash

home=$(cd "$(dirname $0)" && pwd)

middlewares=(
    "mysql"
    "redis"
    "zookeeper"
)

cd $home || exit 0

for i in ${!middlewares[@]}; do
    cd ${middlewares[${i}]} || exit 0
    echo "${middlewares[${i}]} shutdown..."
    docker compose down -v
    cd - > /dev/null || exit 0
done

cd - > /dev/null || exit 0