#!/bin/bash

home=$(cd "$(dirname $0)" && pwd)

middlewares=(
    "mysql"
    "redis"
    "zookeeper"
    "rocketmq"
)

cd $home || exit 0

for i in ${!middlewares[@]}; do
    cd ${middlewares[${i}]} || exit 0
    echo "${middlewares[${i}]} starting..."
    docker compose up -d
    cd - > /dev/null || exit 0
done

cd - > /dev/null || exit 0